﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XDGComboFieldDemo
{
    public class ViewModel
    {
        public ObservableCollection<SampleData> Data { get; set; }
        public List<string> ComboData { get; set; }

        public ViewModel()
        {
            Data = new ObservableCollection<SampleData>();
            ComboData = new List<string>();

            for (int i = 0; i<10; i++)
            {
                Data.Add(new SampleData() { ID = i, Label = "Item " + i.ToString() });
                ComboData.Add("Item " + i.ToString());
            }            
        }
    }

    public class SampleData
    {
        public int ID { get; set; }
        public string Label { get; set; }

    }       
}
