﻿using Infragistics.Windows.DataPresenter;
using Infragistics.Windows.Editors;
using System.Windows;

namespace XDGComboFieldDemo
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            this.DataContext = new ViewModel();
        }

        private void Window_Loaded(object sender, RoutedEventArgs e)
        {
            int cnt = 9;
            foreach (Record rec in this.xdg.Records)
            {
                CellValuePresenter curCVP = CellValuePresenter.FromCell((rec as DataRecord).Cells["Label"]);
                XamComboEditor curXCE = curCVP.Editor as XamComboEditor;

                curXCE.SelectedIndex = cnt--;
                // or
                //curXCE.SelectedItem = (curXCE.ItemsSource as List<string>)[cnt--];
            }
            
        }
    }
}
